## RBProxyConfig

RBProxyConfig — GConf HTTP proxy retriever

## Synopsis

                        RBProxyConfig;
                        RBProxyConfigClass;
    RBProxyConfig*      rb_proxy_config_new                 (void);
    SoupURI*            rb_proxy_config_get_libsoup_uri     (RBProxyConfig *config);

## Object Hierarchy

      GObject
       +----RBProxyConfig

## Signals

      "config-changed"                                 : Run Last

## Description

This class knows how to retrieve the current HTTP proxy configuration from GConf, and also emits signals when the configuration is changed. It only supports manual proxy configuration (with authentication). It does not support any of the various automatic proxy configuration schemes.

## Details

### RBProxyConfig

    typedef struct _RBProxyConfig RBProxyConfig;

### RBProxyConfigClass

    typedef struct {
    	GObjectClass parent_class;

    	void (*config_changed) (RBProxyConfig *config);
    } RBProxyConfigClass;

### rb_proxy_config_new ()

    RBProxyConfig*      rb_proxy_config_new                 (void);

Returns : | new proxy configuration retriever

### rb_proxy_config_get_libsoup_uri ()

    SoupURI*            rb_proxy_config_get_libsoup_uri     (RBProxyConfig *config);

`config` : | a RBProxyConfig
Returns : | a libsoup URI object containing the current HTTP proxy configuration.

## Signal Details

### The `"config-changed"` signal

    void                user_function                      (RBProxyConfig *config,
                                                            gpointer       user_data)      : Run Last

Emitted when the HTTP proxy configuration is changed.

`config` : | the RBProxyConfig
`user_data` : | user data set when the signal handler was connected.